Support
API ReferencePlatform & IntegrationANS API

Search registered agents

POST
/v1/ans/search-registered-agents

Header Parameters

X-Request-Id?string

Optional request identifier propagated across services.

Formatuuid

Request Body

application/json

Search parameters

Response Body

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

curl -X POST "https://api.godaddy.com/v1/ans/search-registered-agents" \  -H "Content-Type: application/json" \  -d '{}'
{
  "totalItems": 0,
  "totalPages": 0,
  "links": [
    {
      "href": "http://example.com",
      "rel": "string",
      "title": "string",
      "targetMediaType": "string",
      "targetSchema": {},
      "method": "string",
      "submissionMediaType": "application/json",
      "submissionSchema": {}
    }
  ],
  "items": [
    {
      "agentId": "string",
      "indexedAt": "2019-08-24T14:15:22Z",
      "leafIndex": 0,
      "lifecycle": {
        "status": "ACTIVE"
      },
      "agentDescription": "string",
      "agentDisplayName": "string",
      "agentHost": "string",
      "agentVersion": "string",
      "ansName": "string",
      "logId": "string",
      "providerId": "string",
      "endpoints": [
        {
          "agentUrl": "string",
          "documentationUrl": "string",
          "metaDataUrl": "string",
          "metaDataHash": "string",
          "protocol": "A2A",
          "transports": [
            "HTTP"
          ],
          "functions": [
            {
              "id": "string",
              "name": "string",
              "tags": [
                "string"
              ]
            }
          ]
        }
      ],
      "scores": {
        "trustScore": 0,
        "textScore": 0,
        "relevance": 0.1
      }
    }
  ]
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}

List registered agents

GET
/v1/ans/registered-agents

Query Parameters

profile?string

Scoring profile name (default: default).

query?string

Optional search query string. If omitted and no filters are provided, the API returns all agents except REVOKED by default. When statuses is explicitly provided, the API uses only the provided status values. Max length is 256 characters by default. When keywordExtraction=true, max length is 4096 characters.

keywordExtraction?boolean

When true, extracts keywords from the query text before searching. Increases max query length from 256 to 4096 characters. Requires query to be non-empty.

Defaultfalse
keywordAlgorithm?string

Keyword extraction algorithm to use when keywordExtraction=true.

Default"SIMPLE"
Value in"RAKE" | "SIMPLE" | "TEXTRANK"
pageSize?integer

Number of results per page (1-100).

Default20
Range1 <= value <= 100
pageToken?string

Opaque token from a previous response links[].href relation (rel=next or rel=prev).

pageTokenDirection?string

Optional token direction when pageToken is set. Only valid when pageToken is provided. Requests that send pageTokenDirection without pageToken return 422 INVALID_REQUEST.

Value in"backward" | "forward"
totalRequired?boolean

When true, include totalItems and totalPages in the response envelope.

Defaultfalse
providerIds?array<string>

Filter by provider IDs.

statuses?array<>

Filter by lifecycle statuses. When omitted, default behavior excludes REVOKED.

agentDomains?array<string>

Agent host domain-family filters. Each value matches apex plus subdomains.

protocols?array<>

Filter by endpoint protocols.

transports?array<>

Filter by endpoint transports.

tags?array<string>

Filter by endpoint function tags (endpoints.functions.tags).

capabilities?array<string>

Filter by function names (endpoints.functions.name).

scoring.pillarWeights.identity?integer

Identity pillar weight override.

Range0 <= value <= 100
scoring.pillarWeights.integrity?integer

Integrity pillar weight override.

Range0 <= value <= 100
scoring.thresholds.identity?integer

Identity pillar threshold filter.

Range0 <= value <= 100
scoring.thresholds.integrity?integer

Integrity pillar threshold filter.

Range0 <= value <= 100

Header Parameters

X-Request-Id?string

Optional request identifier propagated across services.

Formatuuid

Response Body

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

curl -X GET "https://api.godaddy.com/v1/ans/registered-agents"
{
  "totalItems": 0,
  "totalPages": 0,
  "links": [
    {
      "href": "http://example.com",
      "rel": "string",
      "title": "string",
      "targetMediaType": "string",
      "targetSchema": {},
      "method": "string",
      "submissionMediaType": "application/json",
      "submissionSchema": {}
    }
  ],
  "items": [
    {
      "agentId": "string",
      "indexedAt": "2019-08-24T14:15:22Z",
      "leafIndex": 0,
      "lifecycle": {
        "status": "ACTIVE"
      },
      "agentDescription": "string",
      "agentDisplayName": "string",
      "agentHost": "string",
      "agentVersion": "string",
      "ansName": "string",
      "logId": "string",
      "providerId": "string",
      "endpoints": [
        {
          "agentUrl": "string",
          "documentationUrl": "string",
          "metaDataUrl": "string",
          "metaDataHash": "string",
          "protocol": "A2A",
          "transports": [
            "HTTP"
          ],
          "functions": [
            {
              "id": "string",
              "name": "string",
              "tags": [
                "string"
              ]
            }
          ]
        }
      ],
      "scores": {
        "trustScore": 0,
        "textScore": 0,
        "relevance": 0.1
      }
    }
  ]
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}

Retrieve agent details

GET
/v1/ans/registered-agents/{agentId}

Path Parameters

agentId*string

Unique agent identifier.

Query Parameters

profile?string

Scoring profile name (default: default).

Header Parameters

X-Request-Id?string

Optional request identifier propagated across services.

Formatuuid

Response Body

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

*/*

curl -X GET "https://api.godaddy.com/v1/ans/registered-agents/string"
{
  "agentId": "string",
  "indexedAt": "2019-08-24T14:15:22Z",
  "leafIndex": 0,
  "lifecycle": {
    "status": "ACTIVE"
  },
  "agentDescription": "string",
  "agentDisplayName": "string",
  "agentHost": "string",
  "agentVersion": "string",
  "ansName": "string",
  "logId": "string",
  "providerId": "string",
  "endpoints": [
    {
      "agentUrl": "string",
      "documentationUrl": "string",
      "metaDataUrl": "string",
      "metaDataHash": "string",
      "protocol": "A2A",
      "transports": [
        "HTTP"
      ],
      "functions": [
        {
          "id": "string",
          "name": "string",
          "tags": [
            "string"
          ]
        }
      ]
    }
  ],
  "trustScore": 0,
  "trustVector": {
    "identity": 0,
    "integrity": 0
  },
  "missingness": {
    "requiredSignals": [
      "string"
    ],
    "missingSignals": [
      "string"
    ],
    "penalties": {
      "identity": 0,
      "integrity": 0
    }
  },
  "coverage": {
    "computedPillars": [
      "string"
    ],
    "coverageRatio": 0.1
  },
  "signals": {
    "property1": {
      "computedAt": "2019-08-24T14:15:22Z",
      "evidence": {},
      "pillar": "string",
      "score": 0,
      "missing": true
    },
    "property2": {
      "computedAt": "2019-08-24T14:15:22Z",
      "evidence": {},
      "pillar": "string",
      "score": 0,
      "missing": true
    }
  }
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}

Last updated on

How is this guide?